package client_handlers

import (
	"cpone/utils"
	client_mdhargaprofile "cpone/views/client/mdhargaprofile"

	"github.com/labstack/echo/v4"
)

type MdHargaProfileService interface {
}

func NewMdHargaProfileHandler(us MdHargaProfileService) *MdHargaProfileHandler {
	return &MdHargaProfileHandler{
		MdHargaProfileService: us,
	}
}

type MdHargaProfileHandler struct {
	MdHargaProfileService MdHargaProfileService
}

func (uh *MdHargaProfileHandler) ShowMdHargaProfile(c echo.Context) error {
	helo := client_mdhargaprofile.Show()
	return utils.View(c, helo)
}
